[Gitec] problemas na instalacao

Mauricio Diniz mauricio em cmop.mg.gov.br
Terça Maio 11 10:19:50 BRT 2004


Caro Paulo,

Estou tendo diversos problemas para instalar o SAPL 2.0.
Ja tentei em duas maquinas diferentes, uma com apenas conectiva 9.0
instalado para testar o SAPL. Os problemas nao parecem ser no script e
sim na compatibilidade de pacotes, varios pacotes que foram atualizados
apresentam problemas na instalacao. Agora parece que ja estou nos
finalmente, o script finalizou com a mensgem "PRONTO!!!", o banco de
dados foi criado, porem a pasta SAPL nao foi criada no Zope.
Se puder me dar alguma luz!
Grato Mauricio




xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
Segue a mensagem de instalacao:
[root em eallan sapl]# python instalar.py
hostname: eallan.cmop.mg.gov.br
diretório atual: /sapl

 INSTALACAO DO SAPL - VERSAO 2.0
 ========================================
 Erro : Nao e possivel criar diretorio temporario!!!
 ===================1====================
 Instalando ou atualizando servidor MySQL!!!
 MySQL nao necessita de atualizacao
 ===================2====================
 Instalando ou atualizando servidor MySQL-client!!!
 MySQL-client nao necessita de atualizacao
 ===================3====================
 Instalando ou atualizando servidor MySQL-Max!!!
 MySQL-client nao necessita de atualizacao
 ===================4====================
 Iniciando as bases de dados e o MySQL!!!
040511  4:09:06  /usr/sbin/mysqld: Shutdown Complete

[root em eallan sapl]# python instalar.py
hostname: eallan.cmop.mg.gov.br
diretório atual: /sapl

 INSTALACAO DO SAPL - VERSAO 2.0
 ========================================
 ===================1====================
 Instalando ou atualizando servidor MySQL!!!
 MySQL nao necessita de atualizacao
 ===================2====================
 Instalando ou atualizando servidor MySQL-client!!!
 MySQL-client nao necessita de atualizacao
 ===================3====================
 Instalando ou atualizando servidor MySQL-Max!!!
 MySQL-client nao necessita de atualizacao
 ===================4====================
 Iniciando as bases de dados e o MySQL!!!
040511  4:14:34  /usr/sbin/mysqld: Shutdown Complete

 ===================5====================
 Checando Dependências do Python 2.3.3 !!!
 Checando Pacote db4.2 !!!
 db4.2 nao necessita de atualizacao
 tcl nao necessita de atualizacao
 tk nao necessita de atualizacao
 Dependências OK !!!
 ===================6====================
 Instalando o Python 2.3.3 !!!
 Pacote não encontrado, Instalando o Pacote Python
 Python instalado
 ===================7====================
 Instalando Zope-2.7.0
 Pacote não encontrado, Instalando o Pacote Zope
 Zope instalado
 ===================8====================
 Instalando instância Zope SAPL!!!
 ZOPE SAPL instalado em /usr/local/interlegis/Zope-2.7.0-sapl!!!
 ===================9====================
 Checando Dependencias do wv-1.0.0
 libpng nao necessita de atualizacao
 freetype nao necessita de atualizacao
 libwmf nao necessita de atualizacao
 Dependências OK!!!
 ===================10====================
 Instalando wv-1.0.0
 wv nao necessita de atualizacao
 wvWare-1.0.0 Instalado !!!
 ===================11====================
 Descompactando o fop !!!
 fop descompactado em /usr/local/interlegis!!!
 ===================12====================
 Descompactando o java !!!
 java descompactado em /usr/local/interlegis/java!!!
 ===================13=========================
 Configurando o java!!!
 Java Configurado!!!
 ===================14=========================
 Copiando zope.conf !!!
 zope.conf copiado!!!
 ===================15=========================
 Atualizando base de dados do MySQL com dados do SAPL!!!
 base de dados atualizada !!!
 ===================16=========================
 Restartando MySQL para as Novas permissões !!!
 MySQL Restartado !!!
 ===================17====================
 Instalando o MySQLPython !!!
 MySQLPython Instalado!!!
 ===================18====================
 Instalando o ZMySQLDA-2.0.8 !!!
 ZMySQLDA-2.0.8 Instalado!!!
 ===================19====================
 Instalando o Extensions !!!
 Extensions Instalado!!!
 ===================20====================
 Instalando o CMF-1.3 !!!
 CMF1.3 Instalado!!!
 ===================21====================
 Instalando o ExtFile !!!
 ExtFile Instalado!!!
 ===================22====================
 Instalando o ExternalFile!!!
 ExternalFile Instalado!!!
 ===================23====================
 Instalando o PythonModules!!!
 PythonModules Instalado!!!
 ===================24====================
 Checando Dependencias do NuxDocument
 openmotif nao necessita de atualizacao
 t1lib nao necessita de atualizacao
 xpdf nao necessita de atualizacao
 unrtf nao necessita de atualizacao
 libxslt1 nao necessita de atualizacao
 unzip nao necessita de atualizacao
 Dependências OK!!!
 ===================25====================
 Instalando o NuxDocument!!!
 NuxDocument Instalado!!!
 ===================26====================
 Instalando o TextIndexNG2-2.0.7!!!
 TextIndexNG2-2.0.7 Instalado!!!
 ===================26=========================
 Instalando StructuredDoc para o Zope...
 StructuredDoc Instalado!!!
 ===================27=========================
 Criando usuario zopesapl!!!
 Usuário zopesapl criado com sucesso!!!
 Permissões alteradas!!!

 ===================28=========================
 Iniciando o Zope
 Aguarde!!!
 Zope iniciado!
 ===================29=========================
 Alterando arquivo para início automático do Zope!!!

                     ATENÇÃO
 ===================30=========================
 O USUÁRIO E A NOVA SENHA PARA ACESSAR O ZOPE É:

 User Name (Usuário): admin
 Password (Senha): interlegis

 É recomendável que a senha do admin seja alterada para a segurança dos
dados do sistema.
 ===================30=========================
 Importando XSD para o Zope...
 E necessario entrar com o USUÁRIO e SENHA do Zope

Enter username for Zope at localhost:8080: admin
Enter password for admin in Zope at localhost:8080:
 ===================30=========================
 Importando XSLT para o Zope...

 ===================30=========================
 Importando SAPL para o Zope...
 PRONTO!!!
[root em eallan sapl]#











xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
Uma de outras mensagens (outras tentativas de instalacao):

Importando XSD para o Zope...
E necessario entrar com o USUÁRIO e SENHA do Zope

Erro na importacao do XSD. O XSD nao foi instalado corretamente.
[Errno socket error] (111, 'Connection refused')


Em Ter, 2004-05-11 às 09:23, Paulo Fernandes de Souza Jr. escreveu:
> Mauricio,
> 
> 
>   Você não vai encontrar este arquivo diretamente no CD, porque ele faz
> parte do pacote de instalação rpm do ZOPE. Algo está saindo errado em
> sua instalação. Você está usando o CL 9? Poderia mandar uma cópia das
> mensagens da instalação?
> 
> 
> []s,
> 
> Paulo Fernandes.
> 
> 
> Em Ter, 2004-05-11 às 09:22, Mauricio Diniz escreveu:
> > Pessoal,
> > Estou tentando instalar a versao 2.0 do SAPL porem quando "rodo" o
> > script, ele para dizendo que nao encontra o arquivo mkzopeinstance.py.
> > Ja procurei o arquivo e tambem nao encontrei. Alguem sabe onde posso
> > encontrar este arquivo no CD da interlegis?
> > Grato
> > Mauricio
> > 
> > 
> > ______________________________________________________________________
> > 
> > _______________________________________________
> > Gitec mailing list
> > Gitec em listas.interlegis.gov.br
> > http://listas.interlegis.gov.br/mailman/listinfo/gitec
> 
> _______________________________________________
> Gitec mailing list
> Gitec em listas.interlegis.gov.br
> http://listas.interlegis.gov.br/mailman/listinfo/gitec
> 



Mais detalhes sobre a lista de discussão Gitec